#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:          marble
Summary:       A virtual globe and world atlas
Version: 24.12.2
Release:       %mkrel %{rel}
Group:         Geography
License:       LGPLv2
URL:           https://apps.kde.org/marble/
Source:        https://download.kde.org/stable/release-service/%version/src/%{name}-%version.tar.xz

## upstreamable patches

#Branch patchs 100->200

#Trunk Patchs 200->300

#Mageia Patchs 500->600

BuildRequires: kf6-rpm-macros

BuildRequires: cmake(Qt6Core5Compat)
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Help)
BuildRequires: cmake(Qt6Xml)
BuildRequires: cmake(Qt6Network)
BuildRequires: cmake(Qt6Test)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6Quick)
%ifarch aarch64 x86_64
BuildRequires: cmake(Qt6WebChannel)
BuildRequires: cmake(Qt6WebEngineWidgets)
BuildRequires: cmake(Qt6WebEngineQuick)
%endif
BuildRequires: cmake(Qt6Svg)
BuildRequires: cmake(Qt6SvgWidgets)
BuildRequires: cmake(Qt6Sql)
BuildRequires: cmake(Qt6Concurrent)
BuildRequires: cmake(Qt6PrintSupport)
BuildRequires: cmake(Qt6DBus)
BuildRequires: cmake(Qt6Positioning)
# only used from >= 16.08.0
BuildRequires: cmake(Qt6SerialPort)

BuildRequires: cmake(KF6CoreAddons)
BuildRequires: cmake(KF6I18n)
BuildRequires: cmake(KF6Config)
BuildRequires: cmake(KF6Crash)
BuildRequires: cmake(KF6Parts)
BuildRequires: cmake(KF6DocTools)
BuildRequires: cmake(KF6KIO)
BuildRequires: cmake(KF6Runner)
BuildRequires: cmake(Plasma)

BuildRequires: pkgconfig(phonon4qt6)

BuildRequires: cmake(absl)
BuildRequires: pkgconfig(libgps) >= 3.23-1
BuildRequires: pkgconfig(shapelib)
BuildRequires: libwlocate-devel
# Optional
BuildRequires: pkgconfig(protobuf)

Recommends:    marble-handbook

Requires:      marble-frontend = %{version}
Requires:      marble-data


%description
Marble is a Virtual Globe and World Atlas that you can use to learn more
about Earth: You can pan and zoom around and you can look up places and
roads. A mouse click on a place label will provide the respective
Wikipedia article.

%files -f %name.lang
%_kf6_categoriesdir/marble.categories
%_kf6_applicationsdir/marble_geojson.desktop
%_kf6_applicationsdir/marble_gpx.desktop
%_kf6_applicationsdir/marble_kml.desktop
%_kf6_applicationsdir/marble_kmz.desktop
%_kf6_applicationsdir/marble_shp.desktop
%_kf6_datadir/mime/packages/geo.xml
%_kf6_iconsdir/hicolor/*/apps/marble.png
%_kf6_qmldir/org/kde/marble/
%dir %_kf6_libdir/marble
%_kf6_libdir/marble/plugins/
%_qt6_plugindir/*.so
%_kf6_plugindir/krunner/plasma_runner_marble.so

#------------------------------------------------------------------------------

%package data
Summary:       Marble Widget data
Group:         Geography
BuildArch:     noarch

%description data
%{summary}.

%files data
%_kf6_datadir/marble/

#------------------------------------------------------------------------------

%package kde
Summary:       The KDE optimized frontend for Marble and several Plasmoids/Wallpapers
Group:         Graphical desktop/KDE
Requires:      %{name} = %{version}
Requires:      plasma-desktop
Provides:      marble-frontend = %{version}

Conflicts:     marble < 24.11.80-1

%description kde
The KDE frontend for the Marble map viewer. It also includes several
plasmoids and wallpapers for Plasma.

%files kde
%_kf6_bindir/marble
%_kf6_applicationsdir/org.kde.marble.desktop
%_kf6_applicationsdir/marble_geo.desktop
%_kf6_applicationsdir/marble_worldwind.desktop
%_kf6_datadir/config.kcfg/marble.kcfg
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.worldclock/
%_kf6_datadir/plasma/wallpapers/org.kde.plasma.worldmap/
%_kf6_datadir/kxmlgui5/marble/
%_kf6_metainfodir/org.kde.marble.appdata.xml
%_kf6_metainfodir/org.kde.plasma.worldclock.appdata.xml
%_kf6_metainfodir/org.kde.plasma.worldmap.appdata.xml

#------------------------------------------------------------------------------

%package qt
Summary:       Qt Frontend for Marble
Group:         Geography
Requires:      %{name} = %{version}
Provides:      marble-frontend = %{version}

Conflicts:     marble < 24.11.80-1

%description qt
The Qt frontend for the Marble map viewer.

%files qt
%_kf6_bindir/marble-qt
%_kf6_applicationsdir/org.kde.marble-qt.desktop

#------------------------------------------------------------------------------

%package maps
Summary:       Map and Behaim Globe widget for mobile form factors
Group:         Geography
Requires:      %{name} = %{version}

Conflicts:     marble < 24.11.80-1

%description maps
Marble is a generic geographical map widget and framework for KDE
applications. The Marble widget shows the earth as a sphere but does not
require hardware acceleration.  A minimal set of geographical data is
included, so it can be used without an internet connection.
This package is part of the KDE education module.

%files maps
%_kf6_bindir/marble-maps
%_kf6_applicationsdir/org.kde.marble.maps.desktop
%_kf6_metainfodir/org.kde.marble.maps.appdata.xml
%_kf6_iconsdir/hicolor/scalable/apps/org.kde.marble.maps.svg
#
%_kf6_bindir/marble-behaim
%_kf6_applicationsdir/org.kde.marble.behaim.desktop
%_kf6_iconsdir/hicolor/scalable/apps/org.kde.marble.behaim.svg
%_kf6_metainfodir/org.kde.marble.behaim.appdata.xml

#------------------------------------------------------------------------------

%define marblewidget_major 28
%define libversion %(echo %{version}|cut -d. -f1)
%define libmarblewidget %mklibname marblewidget-qt6_ %{marblewidget_major}

%package -n %libmarblewidget
Summary:       Runtime library for marble
Group:         System/Libraries

%description -n %libmarblewidget
Runtime library for marble.

%files -n %libmarblewidget
%_kf6_libdir/libmarblewidget-qt6.so.%{marblewidget_major}
%_kf6_libdir/libmarblewidget-qt6.so.%{libversion}*

#------------------------------------------------------------------------------

%define astro_major 1
%define libversion %(echo %{version}|cut -d. -f1)
%define libastro %mklibname astro %{astro_major}

%package -n %libastro
Summary:       Runtime library for marble
Group:         System/Libraries

%description -n %libastro
Runtime library for marble.

%files -n %libastro
%_kf6_libdir/libastro.so.%{astro_major}
%_kf6_libdir/libastro.so.%{libversion}*

#--------------------------------------------------------------------

%package devel
Summary:       Devel stuff for %{name}
Group:         Development/KDE and Qt
Requires:      %libmarblewidget = %version-%release
Requires:      %libastro = %version-%release

%description  devel
Files needed to build applications based on %{name}.

%files devel
%_includedir/marble/
%_includedir/astro/
%_kf6_libdir/libastro.so
%_kf6_libdir/libmarblewidget-qt6.so
%_kf6_libdir/cmake/Marble/
%_kf6_libdir/cmake/Astro/
%_kf6_mkspecsdir/*.pri

#--------------------------------------------------------------------

%package handbook
Summary:       %{name} Handbook
Group:         Documentation
BuildArch:     noarch

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/marble/

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6 \
  -DBUILD_QT_AND_KDE:BOOL=ON \
  -DMARBLE_DATA_PATH:PATH="%{_datadir}/marble/data" \
  -DMARBLE_PRI_INSTALL_DIR="%_kf6_mkspecsdir" \
  -DWITH_DESIGNER_PLUGIN:BOOL=OFF

%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%_kf6_applicationsdir/marble_thumbnail_*.desktop

%find_lang %name --all-name --with-qt


%changelog
* Tue Feb 11 2025 daviddavid <daviddavid> 24.12.2-1.mga10
+ Revision: 2147268
- New version 24.12.2

* Thu Jan 09 2025 daviddavid <daviddavid> 24.12.1-1.mga10
+ Revision: 2136665
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 24.12.0-1.mga10
+ Revision: 2123910
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 24.11.80-1.mga10
+ Revision: 2117118
- New version 24.11.80
- switch to Qt6/KF6
- split out the Qt, KDE and maps apps in their own sub-pkg (mga#27066)

* Mon Nov 11 2024 daviddavid <daviddavid> 24.08.3-1.mga10
+ Revision: 2114157
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105655
- New version 24.08.2

* Thu Oct 10 2024 daviddavid <daviddavid> 24.08.1-2.mga10
+ Revision: 2104531
- rebuild for new shapelib 1.6.1

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097521
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087713
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085209
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073330
- New version 24.05.1

* Wed Jun 05 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2069979
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058724
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045261
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037760
- New version 24.01.95

* Sat Jan 27 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2035476
- New version 24.01.90
- New version 24.01.85

* Sat Sep 23 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1989703
- New version 23.08.1

* Sun May 28 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1959580
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946591
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941884
- New version 22.12.2

* Mon Feb 13 2023 daviddavid <daviddavid> 22.12.0-3.mga9
+ Revision: 1941234
- rebuild for new gpsd 3.25

* Thu Dec 22 2022 wally <wally> 22.12.0-2.mga9
+ Revision: 1925789
- rebuild for protobuf 21.12

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1923006
- New version 22.12.0

* Wed Nov 30 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1912906
- New version 22.11.90

* Sat Nov 12 2022 papoteur <papoteur> 22.08.3-1.mga9
+ Revision: 1906342
- fix libversion, really
- fix libversion, always same as version
+ neoclust <neoclust>
- New version 22.08.3

* Sat Sep 17 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1889485
- New version 22.08.1

* Wed Aug 31 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1882735
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873674
- New version 22.04.3

* Mon May 09 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1856920
- New version 22.04.0
- New version 22.03.90

* Tue Dec 28 2021 wally <wally> 21.12.0-2.mga9
+ Revision: 1764989
- rebuild for protobuf 3.19.1

* Tue Dec 28 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1764696
- New version 21.12.0
- New version 21.11.90

* Sat Aug 07 2021 tmb <tmb> 21.04.1-2.mga9
+ Revision: 1740090
- rebuild for gpsd 3.23

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724161
- New version 21.04.1

* Sat Apr 24 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718911
- New version 21.04.0

* Fri Mar 05 2021 daviddavid <daviddavid> 20.12.3-3.mga9
+ Revision: 1699643
- enable Protobuf support (Parsing of OSM PBF files)

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698649
- New version 20.12.3

* Wed Mar 03 2021 daviddavid <daviddavid> 20.12.2-2.mga9
+ Revision: 1697376
- rebuild for new gpsd 3.22

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694176
- New version 20.12.2

* Sun Dec 13 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1656615
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1644082
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633901
- New version 20.08.2

* Thu Sep 17 2020 daviddavid <daviddavid> 20.08.1-2.mga8
+ Revision: 1627736
- enable webengine support

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1627141
- New version 20.08.1

* Wed Aug 19 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1615664
- New version 20.08.0

* Fri Aug 07 2020 daviddavid <daviddavid> 20.04.3-2.mga8
+ Revision: 1611805
- add upstream patch to fix build with gpsd 3.21
- rebuild for new gpsd 3.21

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604205
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596943
- New version 20.04.2

* Sun May 17 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1585215
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1568220
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559410
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1540364
- Mageia 8 Mass Rebuild

* Fri Feb 14 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1517969
- New version 19.12.2

* Sat Dec 14 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1467043
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1457985
- New version 19.08.3

* Thu Sep 26 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1446495
- New version 19.08.1

* Tue Sep 03 2019 daviddavid <daviddavid> 19.04.3-2.mga8
+ Revision: 1436657
- remove no more needed BR python2-devel

* Mon Jul 29 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1425076
- New version 19.04.3

* Thu Jul 04 2019 daviddavid <daviddavid> 19.04.0-2.mga8
+ Revision: 1418194
- rebuild for new gpsd 3.19

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390531
- New version 19.04.0
- New version 19.04.00

* Thu Apr 11 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1388779
- New version 19.03.90

* Sun Mar 31 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1383349
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375754
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365654
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356591
- New version 18.12.1

* Thu Dec 20 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1343504
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 18.08.3-1.mga7
+ Revision: 1332826
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 18.08.2-1.mga7
+ Revision: 1327479
- New version 18.08.2

* Sun Oct 07 2018 daviddavid <daviddavid> 18.04.1-3.mga7
+ Revision: 1318487
- rebuild for new gpsd 3.18

* Sun Sep 23 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1299454
- Mageia 7 Mass Rebuild

* Thu Jun 28 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1240584
- New version 18.04.1

* Thu Feb 22 2018 neoclust <neoclust> 17.12.2-2.mga7
+ Revision: 1204267
- Add conflict to ease upgrade

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1201975
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1194997
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1186539
- New version 17.12.0

* Mon Oct 02 2017 guillomovitch <guillomovitch> 17.08.0-2.mga7
+ Revision: 1162556
- isolate data into a subpackage, to share with marble-subsurface fork

* Thu Aug 24 2017 neoclust <neoclust> 17.08.0-1.mga7
+ Revision: 1145077
- New version 17.08.0

* Mon Aug 07 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1138484
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 17.04.3-2.mga7
+ Revision: 1133662
- Fix for new find_lang
+ neoclust <neoclust>
- Add conflicts to ease upgrade

* Mon Jul 24 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1130250
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090160
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076902
- New version 16.12.0

* Fri Dec 16 2016 daviddavid <daviddavid> 16.11.90-3.mga6
+ Revision: 1075617
- move a non development library file from devel subpackage

* Thu Dec 15 2016 daviddavid <daviddavid> 16.11.90-2.mga6
+ Revision: 1075317
- fix file list

* Fri Dec 09 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1073857
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067414
- New version 16.08.3

* Mon Nov 14 2016 daviddavid <daviddavid> 16.08.2-3.mga6
+ Revision: 1067134
- fix libastro major number, should be "1" instead as it provides "libastro.so.1" (mga#19750)

* Sun Oct 30 2016 daviddavid <daviddavid> 16.08.2-2.mga6
+ Revision: 1064164
- fix conflicting files with marble-common from mga5 to ease upgrade mga5->mga6 (mga#19681)

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061477
- New version 16.08.2

* Tue Sep 13 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1052051
- New version 16.08.1

* Thu Aug 25 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1048702
- New version 16.08.0

* Tue Aug 16 2016 daviddavid <daviddavid> 16.04.3-8.mga6
+ Revision: 1046520
- Add more Kf5 build dependencies
- Add BR qt5extserialport-devel
+ neoclust <neoclust>
- Clean cmake command

* Thu Jul 14 2016 neoclust <neoclust> 16.04.3-7.mga6
+ Revision: 1042063
- Add build dependencies
+ akien <akien>
- Fix wrong conflicts on marble-qt5

* Thu Jul 14 2016 akien <akien> 16.04.3-6.mga6
+ Revision: 1042056
- Merge marble-qt5 into the main marble package, separation no longer relevant (mga#17151)

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-5.mga6
+ Revision: 1040143
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-5.mga6
+ Revision: 1013658
- New version 16.04.1

* Mon May 09 2016 luigiwalser <luigiwalser> 16.04.0-5.mga6
+ Revision: 1011709
- rebuild for quazip

* Tue Apr 26 2016 akien <akien> 16.04.0-4.mga6
+ Revision: 1006504
- Fix marblewidget-qt5 libname

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-3.mga6
+ Revision: 1004728
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 16.03.80-3.mga6
+ Revision: 995002
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-3.mga6
+ Revision: 991891
- New version 15.12.3
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-3.mga6
+ Revision: 922701
- New version 15.12.1

* Fri Jan 08 2016 danf <danf> 15.12.0-3.mga6
+ Revision: 920653
- Added include-quotes.patch to fix compilation of dependent apps

* Mon Dec 28 2015 tv <tv> 15.12.0-2.mga6
+ Revision: 916465
- rebuild for new libgps

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911976
- New version 15.12.0

* Fri Nov 27 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 906414
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901170
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890663
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880463
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865981
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-3.mga6
+ Revision: 863964
- Plasma Mass Rebuild - Rebuild for new Plasma
- Enable Gui

* Tue Aug 11 2015 sander85 <sander85> 15.07.90-2.mga6
+ Revision: 862570
- marble-common and kdelibs4-devel are no longer needed

* Mon Aug 10 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 862341
- New version 15.07.90

* Sun Jul 05 2015 neoclust <neoclust> 15.04.3-1.mga6
+ Revision: 851725
- New version

* Wed Dec 03 2014 lmenut <lmenut> 4.14.3-1.mga5
+ Revision: 800672
- Update to KDE SC 4.14.3
- split marble-qt in a sub-package (mga#14419)
- disable build of marble-mobile & marble-touch (mga#14419)

* Sat Oct 18 2014 lmenut <lmenut> 4.14.2-1.mga5
+ Revision: 787770
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 4.14.1-2.mga5
+ Revision: 749678
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 4.14.1-1.mga5
+ Revision: 734624
- Update to KDE SC 4.14.1

* Sat Sep 27 2014 tv <tv> 4.14.0-3.mga5
+ Revision: 727154
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 4.14.0-2.mga5
+ Revision: 682167
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 4.14.0-1.mga5
+ Revision: 667557
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 4.13.97-1.mga5
+ Revision: 663069
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 4.13.95-1.mga5
+ Revision: 656747
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 4.13.90-1.mga5
+ Revision: 653932
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2
- add BuildRequires quazip-devel

* Mon Jul 14 2014 lmenut <lmenut> 4.13.80-1.mga5
+ Revision: 652103
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1
  bump marblewidget major to 19
  fix files list

* Sun Jun 15 2014 lmenut <lmenut> 4.13.2-1.mga5
+ Revision: 636806
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 4.13.1-1.mga5
+ Revision: 625573
- Update to KDE SC 4.13.1

* Tue May 20 2014 fwang <fwang> 4.13.0-2.mga5
+ Revision: 624140
- rebuild for new gps

* Thu Apr 17 2014 lmenut <lmenut> 4.13.0-1.mga5
+ Revision: 615654
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 4.12.97-1.mga5
+ Revision: 609466
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 4.12.95-1.mga5
+ Revision: 606907
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 4.12.90-1.mga5
+ Revision: 603414
- New version 4.12.80

* Tue Mar 11 2014 neoclust <neoclust> 4.12.80-1.mga5
+ Revision: 602048
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Sat Feb 15 2014 neoclust <neoclust> 4.12.2-1.mga5
+ Revision: 591896
- New version 4.12.2
+ dams <dams>
- update marblewidget_major

* Tue Feb 04 2014 neoclust <neoclust> 4.11.5-1.mga5
+ Revision: 580717
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 4.11.4-1.mga4
+ Revision: 555065
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 4.11.3-1.mga4
+ Revision: 551337
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 4.11.2-2.mga4
+ Revision: 540033
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 4.11.2-1.mga4
+ Revision: 490711
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 4.11.1-2.mga4
+ Revision: 488655
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 4.11.1-1.mga4
+ Revision: 476805
- Update tarball to KDE SC 4.11.1

* Thu Aug 15 2013 mikala <mikala> 4.11.0-1.mga4
+ Revision: 466769
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 4.10.97-1.mga4
+ Revision: 458983
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 4.10.95-1.mga4
+ Revision: 455369
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 4.10.90-1.mga4
+ Revision: 447914
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1
- fix major
- fix files list

* Sun Jun 02 2013 mikala <mikala> 4.10.4-1.mga4
+ Revision: 435270
- Update tarball to KDE SC 4.10.4

* Sun May 26 2013 mikala <mikala> 4.10.3-1.mga4
+ Revision: 428382
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 4.10.2-1.mga3
+ Revision: 407198
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 4.10.1-1.mga3
+ Revision: 401942
- Update tarball to KDE SC 4.10.1

* Thu Feb 07 2013 mikala <mikala> 4.10.0-1.mga3
+ Revision: 395094
- Enable libwlocate support
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 4.9.97-3.mga3
+ Revision: 359412
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ mikala <mikala>
- Add shapelib-devel as BR

* Sat Jan 05 2013 mikala <mikala> 4.9.97-1.mga3
+ Revision: 339425
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 4.9.95-1.mga3
+ Revision: 334525
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 4.9.90-1.mga3
+ Revision: 326730
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 4.9.80-1.mga3
+ Revision: 320287
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1
- Fix files list
- Bump major

* Wed Nov 07 2012 mikala <mikala> 4.9.3-1.mga3
+ Revision: 316232
- Update tarball to KDE SC 4.9.3

* Sun Oct 14 2012 neoclust <neoclust> 4.9.2-1.mga3
+ Revision: 305574
- New version

* Mon Oct 08 2012 neoclust <neoclust> 4.9.1-2.mga3
+ Revision: 303541
- Do not link against shapelib-devel anymore the package does not exist
- Revert to 4.9.1
+ dlucio <dlucio>
- rebuild
+ mikala <mikala>
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 4.9.1-1.mga3
+ Revision: 289732
- Update tarball to KDE SC 4.9.1
- Add shapelib-devel as BR
- Fix pkgconfig(QtLocation) version

* Wed Aug 01 2012 mikala <mikala> 4.9.0-1.mga3
+ Revision: 277036
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 4.8.97-1.mga3
+ Revision: 269716
- new version 4.8.97

* Sun Jul 01 2012 fwang <fwang> 4.8.95-1.mga3
+ Revision: 265761
- update libmajor
- new version 4.8.95

* Fri Jun 08 2012 fwang <fwang> 4.8.4-1.mga3
+ Revision: 257227
- new version 4.8.4

* Mon Apr 23 2012 mikala <mikala> 4.8.2-2.mga2
+ Revision: 232818
- Add missing requires for handbook

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228411
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221740
- New upstream tarball

* Sat Jan 21 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 199285
- Use pkgconfig() for BR
- Fix BR for gps
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-1.mga2
+ Revision: 190952
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186005
- Update tarball to KDE SC 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 182183
- Update tarball to KDE SC 4.7.90
- Add qt-mobility-devel as BR

* Sun Dec 04 2011 mikala <mikala> 4.7.4-1.mga2
+ Revision: 176538
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 4.7.3-1.mga2
+ Revision: 161408
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 4.7.2-1.mga2
+ Revision: 151984
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 4.7.1-1.mga2
+ Revision: 140695
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%clean section
- Remove %%defattr()
- Update tarball to KDE SC 4.7.0
- use pkgconfig()

* Mon Jul 11 2011 mikala <mikala> 4.6.95-0.mga2
+ Revision: 122370
- Update tarball to KDE 4.6.95 ( KDE SC 4.7 RC2)

* Wed Jun 29 2011 mikala <mikala> 4.6.90-2.mga2
+ Revision: 115715
- Remove wrong requires
- Fix Licence
- imported package marble

